Cash Receipt Reprocessing Result List Inquiry API

API for querying the result records of reprocessed transactions.

Important Notes

Domain Notice

This API uses domain2 (tb-nspay / nspay).
NOTE

Reprocessing Result Inquiry Timing

Reprocessing request records are submitted to the NTS on D+2 based on the original transaction issuance date, after which the result is reflected. Depending on NTS processing conditions, the result query availability time may be delayed.

Retain the Last Reprocessing Result

If the same transaction is reprocessed multiple times, the reprocessing date and reprocessing approval number in the response contain the values of the last reprocessing transaction. Since they are needed for voids and later inquiries, manage them with the latest values in your merchant system.
  • Reprocessing result list query results may be delayed due to NTS processing.
  • For auto-reprocessing merchants, non-reprocessable error codes must be reviewed directly by the merchant.
  • The merchant must manage the approval number and issuance date for reprocessed records.

API Information

GET/POST/pgtrans/CashReceiptMultiAction.do?_method=getReceiptReReqList
Content-Type
요청application/x-www-form-urlencoded;charset=UTF-8
응답text/plain;charset=UTF-8
테스트https://tb-nspay.settlebank.co.kr/pgtrans/CashReceiptMultiAction.do?_method=getReceiptReReqList
운영https://nspay.settlebank.co.kr/pgtrans/CashReceiptMultiAction.do?_method=getReceiptReReqList

Request Parameters

타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자
예: AN(10) = 영문+숫자, 최대 10byte
midAN(10)Alphanumeric, up to 10 bytes*
Merchant ID.
searGbA(1)Alphabetic, up to 1 bytes*
Query type.
1: All results (both reprocessable and non-reprocessable records) 2: Only records reprocessed with a newly assigned approval number 3: Query by reprocessing request date
*Option 3 queries only records for which reprocessing was actually requested; non-reprocessable records are not returned.
trDtN(8)Numeric, up to 8 bytes*
Query date (yyyyMMdd).
*searGb 1, 2: Original transaction issuance date; searGb 3: NTS submission date (D+2 from original transaction)

Response Parameters

Response data is in CSV format.

NoFieldDescription
1Original transaction issuance dateIssuance date of the originally registered transaction
2Original transaction approval numberApproval number of the originally registered transaction
3Order numberMerchant order number from the request
4Register/void type0: Registration, 1: Void
5Original transaction error codeNTS error code
6Reprocessing result code00: Success, 09: Error (auto-reprocessing target), 99: Error (not eligible for auto-reprocessing)
7Reprocessing result detail codeSee 'Reprocessing Result Detail Codes' below
8Reprocessing dateFinal reprocessing issuance date
9Reprocessing approval numberFinal reprocessing approval number
10Self-issuance flagY: Self-issuance number, N: Not self-issuance

Reprocessing Result Detail Codes

Result CodeDetail CodeDescription
0001, 0201: Before NTS submission (when a void is requested on a reprocessed record); 02: After NTS submission
09(Error code)Refer to NTS error code
9999Reprocessing not possible

Request Example

https://tb-nspay.settlebank.co.kr/pgtrans/CashReceiptMultiAction.do?_method=getReceiptReReqList
&mid=mid_test
&trDt=20180401
&searGb=1

Response Example

Error

2001

Success

20180401004649,F69214247,test_20180401_1,0,TS1,00,02,20171129004649,F62615388,Y
20180401080321,F69226149,test_20180401_2,0,TS2,00,02,20171129080321,F62615390,Y
20180401082658,F69227439,test_20180401_3,0,TS2,00,02,20171129082658,F62615391,Y
20180401234651,F61174103,test_20180401_4,0,BLO,99,BLO,,,N
20180401233717,F61172881,test_20180401_5,0,BLO,99,BLO,,,N
20180401230629,F61169147,test_20180401_6,0,BLO,99,BLO,,,N

NTS Registration Result Error Codes

NTS error codes that may appear in the query results.

For the full error code list, refer to the NTS Error Codes page.

💬

Need technical support?